# PVXMLMenuGrammar Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLMenuGrammar:

List of all members.

## Public Member Functions

| PVXMLMenuGrammar (PVXMLSession &session, PXMLElement &field)
virtual void | OnUserInput (const char ch)
virtual bool | Process ()

## Constructor & Destructor Documentation

PVXMLMenuGrammar::PVXMLMenuGrammar | ( | PVXMLSession & | session,
|  | PXMLElement & | field |
| ) |  |  |

## Member Function Documentation

virtual void PVXMLMenuGrammar::OnUserInput | ( | const char | ch | ) | `[virtual]`

Implements PVXMLGrammar.

virtual bool PVXMLMenuGrammar::Process | ( |  | ) | `[virtual]`

Reimplemented from PVXMLGrammar.

The documentation for this class was generated from the following file:

- vxml.h